%global realname rebar3
%global otp_app_name rebar

# Bootstrapping
%global bootstrap 0

Name:     erlang-%{realname}
Version:  3.14.3
Release:  %mkrel 2
Summary:  Tool for working with Erlang projects
Group:    Development/Erlang
License:  ASL 2.0 and MIT
URL:      https://github.com/erlang/rebar3
Source0:  %{url}/archive/%{version}/%{realname}-%{version}.tar.gz
# Escript used to launch rebar3
Patch0:   add-rebar3-escript.patch
Patch1:   erlang-rebar3-0001-Skip-deps.patch
%if 0%{?bootstrap}
# noop
%else
BuildRequires:  erlang-rebar3
%endif

BuildArch: noarch
BuildRequires:  erlang-bbmustache
BuildRequires:  erlang-certifi
BuildRequires:  erlang-cf
BuildRequires:  erlang-cth_readable
BuildRequires:  erlang-dialyzer
BuildRequires:  erlang-edoc
BuildRequires:  erlang-erl_interface
BuildRequires:  erlang-erlware_commons
BuildRequires:  erlang-erts
BuildRequires:  erlang-eunit_formatters
BuildRequires:  erlang-getopt
BuildRequires:  erlang-hex_core
BuildRequires:  erlang-parsetools
BuildRequires:  erlang-providers
BuildRequires:  erlang-relx
BuildRequires:  erlang-rpm-macros
BuildRequires:  erlang-ssl_verify_fun
BuildRequires:  perl

%description
Rebar3 is an Erlang tool that makes it easy to create, develop, and release
Erlang libraries, applications, and systems in a repeatable manner.

%prep
%autosetup -p1 -n %{realname}-%{version}

%build
ebin_paths=$(perl -e 'print join(":", grep { !/rebar/} (glob("%{_libdir}/erlang/lib/*/ebin"), glob("%{_datadir}/erlang/lib/*/ebin")))')

%if 0%{?bootstrap}
DIAGNOSTIC=1 ./bootstrap bare compile --paths $ebin_paths --separator :
%else
DEBUG=1 %{realname} bare compile --paths $ebin_paths --separator :
%endif

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/erlang/lib/%{realname}-%{version}/ebin/
mkdir -p %{buildroot}%{_datadir}/erlang/lib/%{realname}-%{version}/priv/
mkdir -p %{buildroot}%{_mandir}/man1/
install -p -m755 %{realname} %{buildroot}%{_bindir}/%{realname}
%if 0%{?bootstrap}
install -p -m644 _build/bootstrap/lib/rebar/ebin/*.beam %{buildroot}%{_datadir}/erlang/lib/%{realname}-%{version}/ebin/
install -p -m644 _build/bootstrap/lib/rebar/ebin/%{otp_app_name}.app %{buildroot}%{_datadir}/erlang/lib/%{realname}-%{version}/ebin/
%else
install -p -m644 ebin/*.beam %{buildroot}%{_datadir}/erlang/lib/%{realname}-%{version}/ebin/
install -p -m644 ebin/%{otp_app_name}.app %{buildroot}%{_datadir}/erlang/lib/%{realname}-%{version}/ebin/
%endif
install -p -m755 -d priv/* %{buildroot}%{_datadir}/erlang/lib/%{realname}-%{version}/priv/
install -p -m644 manpages/%{realname}.1 %{buildroot}%{_mandir}/man1/

%files
%license LICENSE
%doc README.md
%{_bindir}/%{realname}
%{_datadir}/erlang/lib/%{realname}-%{version}
%{_mandir}/man1/%{realname}.1*


%changelog
* Sun Dec 20 2020 wally <wally> 3.14.3-2.mga8
+ Revision: 1661606
- disable bootstrap build
- update RPM group

* Sun Dec 20 2020 wally <wally> 3.14.3-1.mga8
+ Revision: 1661592
- new version 3.14.3 (sync with Fedora)
- make pkg noarch
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Feb 17 2019 wally <wally> 3.9.0-1.mga7
+ Revision: 1367913
- non-bootstrap build

* Sun Feb 17 2019 wally <wally> 3.9.0-0.mga7
+ Revision: 1367912
- new version 3.9.0
- bootstrap build

* Tue Nov 20 2018 wally <wally> 3.6.2-1.mga7
+ Revision: 1332468
- imported package erlang-rebar3


* Fri Oct 12 2018 Timothée Floure <fnux@fedoraproject.org> - 3.6.2-1
- Let there be package
